## python-louvain 0.0+20181013git3fc1f575

=== requirements.txt ===
networkx
numpydoc

=== debian/changelog ===
python-louvain (0.0+20181013git3fc1f575-1ubuntu1) disco; urgency=medium

  * Build-depend on python3-networkx to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 15 Dec 2018 23:00:43 -0500

python-louvain (0.0+20181013git3fc1f575-1) unstable; urgency=medium

  * Initial release (Closes: #911111)

 -- Steffen Moeller <moeller@debian.org>  Mon, 15 Oct 2018 21:12:11 +0200

=== debian/control ===
Source: python-louvain
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 python3-all, python3-setuptools,
 python3-nose, python3-networkx
Standards-Version: 4.2.1
Homepage: https://github.com/taynaud/python-louvain
Vcs-Browser: https://salsa.debian.org/debian/python-louvain
Vcs-Git: https://salsa.debian.org/debian/python-louvain.git
Testsuite: autopkgtest-pkg-python

Package: python3-louvain
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-networkx
Description: community graph analysis implementing Louvain method
 This package address a special form of graph analysis, using
 the NetworkX graph operations.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=python-louvain

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-louvain-$1.tar.gz%" \
   https://github.com/<user>/python-louvain/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-louvain 0.16

=== debian/changelog ===
python-louvain (0.16-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.16
  * Replace python3-nose with python3-pytest (Closes: #1018527)
  * Add build-dependency on python3-numpy

  [ Steffen Moeller ]
  * Opt for Team maintenance

  [ Debian Janitor ]
  * Add debian/watch file, using pypi.
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 12:05:58 +0200

python-louvain (0.0+20181013git3fc1f575-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Steffen Moeller ]
  * Bumped policy to 4.5.1
  * Removed d/watch (upstream does not issue tags)
  * Added missing build dependency (Closes: #913377)
  * Decided against renaming  binary to python3-community to match the
    imported module since upstream is confused about it, too.
    Instead, the package is now also providing that package name
    (Closes: #982424)

  [ Nilesh Patra ]
  * Use right import name
  * Add d/salsa-ci.yml
  * Move the egg to suitable location as well
  * Bump debhelper-compat version to 13
  * Add "Rules-Requires-Root: no"
  * Add upstream/metadata
  * d/control: change section to python
  * d/rules: Rename /usr/bin/commmunity to
    /usr/bin/louvain-community to prevent generic names

 -- Steffen Moeller <moeller@debian.org>  Tue, 18 May 2021 16:33:43 +0530

=== debian/control ===
Source: python-louvain
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-networkx,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/taynaud/python-louvain
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-louvain
Vcs-Git: https://salsa.debian.org/python-team/packages/python-louvain.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-louvain
Provides: python3-community
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-networkx
Description: community graph analysis implementing Louvain method
 This package address a special form of graph analysis, the Louvin method,
 using the NetworkX graph operations. The method is described in:
 Fast unfolding of communities in large networks, Vincent D Blondel,
 Jean-Loup Guillaume, Renaud Lambiotte, Renaud Lefebvre, Journal of
 Statistical Mechanics: Theory and Experiment 2008(10), P10008

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=python-louvain
export PYBUILD_BEFORE_TEST=cp test_community.py {build_dir}
export PYBUILD_TEST_ARGS=-k 'not karate and not range'
export PYBUILD_AFTER_TEST=rm {build_dir}/test_community.py
VERS=0.16

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	cd debian/python3-louvain/usr/lib/python3*/dist-packages && mv python_louvain-$(VERS).egg-info python_community-$(VERS).egg-info
	cd debian/python3-louvain/usr/bin && mv community louvain-community

override_dh_auto_clean:
	dh_auto_clean
	# clean, even if the package was renamed
	rm -rf debian/python3-louvain debian/python3-louvain.*.debhelper
	rm -rf debian/python3-community debian/python3-community.*.debhelper
	rm -f debian/python3-community.substvars

=== debian/watch ===
version=4
https://pypi.debian.net/python-louvain/python-louvain-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
